Debian Bug report logs - #723634
ruby-kde4: please build against ruby1.9.1

version graph

Package: ruby-kde4; Maintainer for ruby-kde4 is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for ruby-kde4 is src:korundum.

Reported by: Cédric Boutillier <boutil@debian.org>

Date: Wed, 18 Sep 2013 09:54:01 UTC

Severity: important

Tags: patch

Found in version 4:4.10.5-1.1

Fixed in version korundum/4:4.11.3-2

Done: Cédric Boutillier <boutil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, cedric.boutillier@gmail.com, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#723634; Package ruby-kde4. (Wed, 18 Sep 2013 09:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <boutil@debian.org>:
New Bug report received and forwarded. Copy sent to cedric.boutillier@gmail.com, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 18 Sep 2013 09:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ruby-kde4: please build against ruby1.9.1
Date: Wed, 18 Sep 2013 11:51:26 +0200
[Message part 1 (text/plain, inline)]
Package: ruby-kde4
Version: 4:4.10.5-1.1
Severity: important
Tags: patch
User: debian-ruby@lists.debian.org
Usertags: ruby18-removal
Control: block -1 with 520901

Hi!

Please build the korundum package against ruby1.9.1, which has been the
default Ruby interpreter since Wheezy. Ruby 1.8 is not maintained
upstream anymore, and the Debian Ruby Team is willing to get rid of it
as soon as possible.

Please find attached patches to solve this issue, allowing to:
- build against ruby1.9.1, libruby1.9.1-dev
- install the files according to the Debian Ruby policy

Note that this bug is blocked by #520901 against qtruby to build
libqtruby4shared against ruby1.9.1.

Cheers,

Cédric
[0001-build-against-ruby1.9.1.patch (text/x-diff, attachment)]
[0002-use-Ruby-vendor-dirs-to-install-as-per-Ruby-policy.patch (text/x-diff, attachment)]
[0003-fix-install-paths.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 723634: 520901 Request was from Cédric Boutillier <boutil@debian.org> to submit@bugs.debian.org. (Wed, 18 Sep 2013 09:54:06 GMT) Full text and rfc822 format available.

Reply sent to Cédric Boutillier <boutil@debian.org>:
You have taken responsibility. (Tue, 10 Dec 2013 21:24:05 GMT) Full text and rfc822 format available.

Notification sent to Cédric Boutillier <boutil@debian.org>:
Bug acknowledged by developer. (Tue, 10 Dec 2013 21:24:05 GMT) Full text and rfc822 format available.

Message #12 received at 723634-close@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 723634-close@bugs.debian.org
Subject: Bug#723634: fixed in korundum 4:4.11.3-2
Date: Tue, 10 Dec 2013 21:21:09 +0000
Source: korundum
Source-Version: 4:4.11.3-2

We believe that the bug you reported is fixed in the latest version of
korundum, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 723634@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <boutil@debian.org> (supplier of updated korundum package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 10 Dec 2013 16:14:50 +0100
Source: korundum
Binary: korundum ruby-kde4 ruby-kde4-dbg ruby-akonadi ruby-okular ruby-plasma ruby-soprano
Architecture: source all amd64
Version: 4:4.11.3-2
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Cédric Boutillier <boutil@debian.org>
Description: 
 korundum   - Ruby bindings for the KDE Development Platform
 ruby-akonadi - Akonadi Ruby bindings
 ruby-kde4  - KDE bindings for the Ruby language
 ruby-kde4-dbg - Debug symbols for the KDE ruby bindings
 ruby-okular - Okular Ruby bindings
 ruby-plasma - Plasma Ruby bindings
 ruby-soprano - Soprano Ruby bindings
Closes: 723634
Changes: 
 korundum (4:4.11.3-2) unstable; urgency=low
 .
   * Build against default Ruby version (Closes: #723634).
   * Add myself to uploaders.
   * Bump Standards-Version to 3.9.5 (no changes needed).
   * Make Vcs-Git URL more canonical.
   * Use Ruby vendor directories to install as per Ruby policy.
   * Increase minimal version of libqtruby4shared-dev in Build-Depends to
     ensure ruby1.9 support.
   * License for modules/soprano/examples/soprano_util/soprano_util.rb precised
     to BSD-2-clause (confirmation from Olivier Berger).
   * Drop transitional packages, already in Wheezy.
Checksums-Sha1: 
 ebfa9d1158efec09bd9ba6deef2944891c9a69fc 2705 korundum_4.11.3-2.dsc
 c2d385a8ddae8123578c60eb1bea9f105f470eaf 8572 korundum_4.11.3-2.debian.tar.gz
 39bd0fea41a6f72ecb258beec7491e8980a7bb54 18420 korundum_4.11.3-2_all.deb
 5f7687e214fb9b1200d60ac10f254bac4f1dc951 183110 ruby-kde4_4.11.3-2_amd64.deb
 5b5a787c97ab76d9fae0daa4e4787078d772479c 2220084 ruby-kde4-dbg_4.11.3-2_amd64.deb
 fd65ce8452fc1885abb7b8f33dbaa57dd21eb849 26834 ruby-akonadi_4.11.3-2_amd64.deb
 77ff85e1eea62cf13f0ef8e6d9be9908cfb05b93 27634 ruby-okular_4.11.3-2_amd64.deb
 664201d8e68bd9bb4eb2f8946f7485d315ff9b5a 36180 ruby-plasma_4.11.3-2_amd64.deb
 30c92c1d846e84826b016c2dc99526f2a609d974 27592 ruby-soprano_4.11.3-2_amd64.deb
Checksums-Sha256: 
 81d0db913c91111d3da699cb36e950d6c896429194475ad1a3bdb69ad5b163b1 2705 korundum_4.11.3-2.dsc
 fa6968305e64872bc3059e4336a081e592e8051f05196356378bcdd34411b28e 8572 korundum_4.11.3-2.debian.tar.gz
 53cc86fef27c648708494fa055c71ab3065d3bcbf0c8b760d1165fde51a90c3d 18420 korundum_4.11.3-2_all.deb
 251f2215afef1c7b90547c4eab479d6e2c90859fc94aab44bbb1374799cbff6f 183110 ruby-kde4_4.11.3-2_amd64.deb
 dc82464daf03ced2e3d14b9cdc3627c9390f70609d734c8417b133700a235420 2220084 ruby-kde4-dbg_4.11.3-2_amd64.deb
 99266708bb203bd0009c661f65c071c6bf6d780122d4ecf6dfca690c0154dd8e 26834 ruby-akonadi_4.11.3-2_amd64.deb
 127faeb3b0a15ba9e1e5bac4400b06b6442c642eaf8db7fbc744a15877709165 27634 ruby-okular_4.11.3-2_amd64.deb
 a02ed98ff7f8cbc1cc7b0ac6a1048b5d34ec8b890db26e7a1737b4c67d03aabd 36180 ruby-plasma_4.11.3-2_amd64.deb
 aec14cf248397075d9f653c4ab7e545001a6cc88851fbfac7a607993db00e509 27592 ruby-soprano_4.11.3-2_amd64.deb
Files: 
 ed6dea0b1fcb7b087e19cad9d80753b8 2705 ruby optional korundum_4.11.3-2.dsc
 dc4515f8934ad28358fc3f4d8a4bd4de 8572 ruby optional korundum_4.11.3-2.debian.tar.gz
 fb43ef56b79c8d316dd1df037dbcb04e 18420 ruby optional korundum_4.11.3-2_all.deb
 f0a97d4d82ab549c7ab587862b3638f0 183110 ruby optional ruby-kde4_4.11.3-2_amd64.deb
 7ad2ef11f110847977da07c703d954ae 2220084 debug extra ruby-kde4-dbg_4.11.3-2_amd64.deb
 540783360087854b5e4b0a397857699b 26834 ruby optional ruby-akonadi_4.11.3-2_amd64.deb
 4b032c884f10a58afe23d1d96782e25d 27634 ruby optional ruby-okular_4.11.3-2_amd64.deb
 f6fc3a0ecd1d2b533f0dfcbd56ae2ac9 36180 ruby optional ruby-plasma_4.11.3-2_amd64.deb
 503d344e8faad3f997eff86773752e21 27592 ruby optional ruby-soprano_4.11.3-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSp36SAAoJEKkHZFuPn48JSgMP/2Ggw5rlinpouF+DxQh8nAAy
K62XtiCcPsHd1gveZId8epDduv8rVF5SVFoRC6LCqbbusWtUOtzvwTguVPR3p+0R
ZA/yAy5sVAo0O7Ux+j589ZYuzeLeIxeWLNjZSP94k6o24hOFOp+HFBMkQ9JjDtDr
WHk6IPL6pc6e3TzvQDjg5FAqB1AUANv/5esYQ2HrPNw0SAgOjNKZ8Z9S0/xPvFLg
xBJMrVVWewqsjkJPafKAbsjIWk3VRVQmafwIlcjgPgHqXJyKBCQLVbHlo5/9pmGS
g4Ep6vf6zrcGjlN4tNH+6sXGpnjbBZZI0cXco7/1HFy7L9uqPkem20eJABLOGOXe
dBLEeQ4gLCAtur9RKjn1qUCfkDIrAC/FN6NQ9VVyhKaBASm1yviDLDty4rtWLpyJ
8A5bMI2notYHBSTzk5Fo8unND0aLfrTvmugOY5kwySHY1lf+tFy5azN1yDQHr6rk
9LgF+JCWs0zDTvY7w1/UDRfj3K1G1GXhgEbcA+hjBchQw3bj6QvOucYQCB0wX22H
FIEqX93MCpJhgPIDRTTEm7W2Mopq64ZCOvFbTMvBIJk3bCS8i49b0SDUkf2njHmU
9x013T776dggPO/mam7DfPsDtznFUW96IoYswqOERpGS0OdPHwlpMSlGqTOYYpfi
Uho88kYi4/ABiycqrqBn
=VSEk
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 Jan 2014 07:26:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:06:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.